import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Switch } from './components/switch';
export var SwitchComponent = Intact.decorate(Switch, 'k-switch');
var components = [SwitchComponent];
var SwitchModule = /** @class */ (function () {
    function SwitchModule() {
    }
    SwitchModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], SwitchModule);
    return SwitchModule;
}());
export { SwitchModule };